<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Singularity](./bitburner.singularity.md) &gt; [destroyW0r1dD43m0n](./bitburner.singularity.destroyw0r1dd43m0n.md)

## Singularity.destroyW0r1dD43m0n() method

Destroy the w0r1d\_d43m0n and move on to the next BN.

**Signature:**

```typescript
destroyW0r1dD43m0n(nextBN: number, callbackScript?: string, bitNodeOptions?: BitNodeOptions): void;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

nextBN


</td><td>

number


</td><td>

BN number to jump to


</td></tr>
<tr><td>

callbackScript


</td><td>

string


</td><td>

_(Optional)_ Name of the script to launch in the next BN.


</td></tr>
<tr><td>

bitNodeOptions


</td><td>

[BitNodeOptions](./bitburner.bitnodeoptions.md)


</td><td>

_(Optional)_ BitNode options for the next BN.


</td></tr>
</tbody></table>

**Returns:**

void

## Remarks

RAM cost: 32 GB \* 16/4/1

You must have the special augment installed and the required hacking level OR Completed the final black op.

